package com.sf.jdbc.j20250906;


import java.sql.*;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description
 * @create 2025/9/6
 */
public class Demo01_update {
    // jdbc:mysql://IP地址:端口号/数据库名
    private static String url="jdbc:mysql://127.0.0.1:3306/db03";   //服务器的统一资源定位符，帮我们找到服务器的内容
    private static String username="root";
    private static String password="123456";
    public static void main(String[] args) throws ClassNotFoundException, SQLException {
        //编写代码连接并操作数据库的步骤：
        // 1、注册数据库驱动
        //Class.forName("包名.类名");返回的结果是根据类名创建的对象
        Class.forName("com.mysql.cj.jdbc.Driver");
        //2、获取和数据库的连接：
        //DriverManager--管理驱动程序，这个类就是用来管理数据库驱动程序的。
        //getConnection()--获取连接的方法，通过管理数据库程序里面的获取连接的方法，获取和数据库的连接。
        //返回一个连接对象Connection，其实就是一次完整的通话(会话)
        Connection conn = DriverManager.getConnection(url, username, password);
        //3、定义SQL语句
        String sql="UPDATE emp SET ename='美猴王' WHERE id=1001";

        //4、获取执行SQL的对象  需要一个专门的对象来执行SQL语句
        Statement sata = conn.createStatement();
        //5、执行SQL语句 返回的结果：修改了多少条数据
        int count = sata.executeUpdate(sql);
        //6、获取SQL执行的结果并处理
        System.out.println("修改了"+count+"条数据");
        //7、释放资源
        conn.close();
    }
}
